dbXML API

## org.dbxml.core.corba.db
Class _CollectionStub

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.dbxml.core.corba.db._CollectionStub

All Implemented Interfaces:
  Collection, CollectionOperations, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.Object, java.io.Serializable, ServantManagement, ServantManagementOperations

public class _CollectionStub
extends org.omg.CORBA.portable.ObjectImpl
implements Collection

Generated from IDL definition of interface "Collection"

Author:
  JacORB IDL compiler
See Also:
  Serialized Form

Field Summary
`static java.lang.Class` `_opsClass`

Constructor Summary
`_CollectionStub()`

Method Summary
`java.lang.String[]` `_ids()`
`java.lang.String` `createNewOID()`
`java.lang.String` `getCanonicalName()`
`Collection` `getCollection(java.lang.String path)`
`CollectionManager` `getCollectionManager()`
`EncodedBuffer` `getDocument(java.lang.String id, long stamp)`
`int` `getDocumentCount()`
`DocumentSet` `getDocuments()`
`java.lang.String` `getName()`
`Collection` `getParentCollection()`
`java.lang.String` `insertDocument(java.lang.String nam, EncodedBuffer doc)`
`EncodedBuffer` `invokeXMLObject(java.lang.String uri)`
`java.lang.String[]` `listCollections()`
`java.lang.String[]` `listDocuments()`
`EncodedBuffer` `queryCollection(java.lang.String style, java.lang.String query, NamedVal[] namespaces, long stamp)`
`EncodedBuffer` `queryDocument(java.lang.String style, java.lang.String query, NamedVal[] namespaces, java.lang.String id, long stamp)`
`void` `remove()`
`void` `removeDocument(java.lang.String id)`
`void` `setDocument(java.lang.String id, EncodedBuffer doc)`

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Field Detail

### _opsClass

    public static final java.lang.Class _opsClass

Constructor Detail

### _CollectionStub

    public _CollectionStub()

Method Detail

### _ids

    public java.lang.String[] _ids()

  Overrides:
    `_ids` in class `org.omg.CORBA.portable.ObjectImpl`

### getName

    public java.lang.String getName()
                             throws APIException

  Specified by:
    `getName` in interface `CollectionOperations`

### listCollections

    public java.lang.String[] listCollections()
                                       throws APIException

  Specified by:
    `listCollections` in interface `CollectionOperations`

### getDocument

    public EncodedBuffer getDocument(java.lang.String id,
                                     long stamp)
                              throws APIException

  Specified by:
    `getDocument` in interface `CollectionOperations`

### invokeXMLObject

    public EncodedBuffer invokeXMLObject(java.lang.String uri)
                                  throws APIException

  Specified by:
    `invokeXMLObject` in interface `CollectionOperations`

### getCollectionManager

    public CollectionManager getCollectionManager()
                                           throws APIException

  Specified by:
    `getCollectionManager` in interface `CollectionOperations`

### getCollection

    public Collection getCollection(java.lang.String path)
                             throws APIException

  Specified by:
    `getCollection` in interface `CollectionOperations`

### getDocumentCount

    public int getDocumentCount()
                         throws APIException

  Specified by:
    `getDocumentCount` in interface `CollectionOperations`

### remove

    public void remove()

  Specified by:
    `remove` in interface `ServantManagementOperations`

### listDocuments

    public java.lang.String[] listDocuments()
                                     throws APIException

  Specified by:
    `listDocuments` in interface `CollectionOperations`

### createNewOID

    public java.lang.String createNewOID()
                                  throws APIException

  Specified by:
    `createNewOID` in interface `CollectionOperations`

### insertDocument

    public java.lang.String insertDocument(java.lang.String nam,
                                           EncodedBuffer doc)
                                    throws APIException

  Specified by:
    `insertDocument` in interface `CollectionOperations`

### getParentCollection

    public Collection getParentCollection()
                                   throws APIException

  Specified by:
    `getParentCollection` in interface `CollectionOperations`

### getCanonicalName

    public java.lang.String getCanonicalName()
                                      throws APIException

  Specified by:
    `getCanonicalName` in interface `CollectionOperations`

### getDocuments

    public DocumentSet getDocuments()
                             throws APIException

  Specified by:
    `getDocuments` in interface `CollectionOperations`

### queryCollection

    public EncodedBuffer queryCollection(java.lang.String style,
                                         java.lang.String query,
                                         NamedVal[] namespaces,
                                         long stamp)
                                  throws APIException

  Specified by:
    `queryCollection` in interface `CollectionOperations`

### removeDocument

    public void removeDocument(java.lang.String id)
                        throws APIException

  Specified by:
    `removeDocument` in interface `CollectionOperations`

### setDocument

    public void setDocument(java.lang.String id,
                            EncodedBuffer doc)
                     throws APIException

  Specified by:
    `setDocument` in interface `CollectionOperations`

### queryDocument

    public EncodedBuffer queryDocument(java.lang.String style,
                                       java.lang.String query,
                                       NamedVal[] namespaces,
                                       java.lang.String id,
                                       long stamp)
                                throws APIException

  Specified by:
    `queryDocument` in interface `CollectionOperations`

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved